Search for %s

  1. Search 7.x for %s
  2. Search 9.5.x for %s
  3. Search 8.9.x for %s
  4. Search 10.3.x for %s
  5. Search 11.x for %s
  6. Other projects
Title Object type File name Summary
FormStateDecoratorBaseTest::testSetRebuild function core/tests/Drupal/Tests/Core/Form/FormStateDecoratorBaseTest.php Tests set rebuild.
FormStateDecoratorBaseTest::testSetRebuildInfo function core/tests/Drupal/Tests/Core/Form/FormStateDecoratorBaseTest.php Tests set rebuild info.
FormStateDecoratorBaseTest::testSetRedirect function core/tests/Drupal/Tests/Core/Form/FormStateDecoratorBaseTest.php Tests set redirect.
FormStateDecoratorBaseTest::testSetRedirectUrl function core/tests/Drupal/Tests/Core/Form/FormStateDecoratorBaseTest.php Tests set redirect url.
FormStateDecoratorBaseTest::testSetRequestMethod function core/tests/Drupal/Tests/Core/Form/FormStateDecoratorBaseTest.php Tests set request method.
FormStateDecoratorBaseTest::testSetResponse function core/tests/Drupal/Tests/Core/Form/FormStateDecoratorBaseTest.php Tests set response.
FormStateDecoratorBaseTest::testSetStorage function core/tests/Drupal/Tests/Core/Form/FormStateDecoratorBaseTest.php Tests set storage.
FormStateDecoratorBaseTest::testSetSubmitHandlers function core/tests/Drupal/Tests/Core/Form/FormStateDecoratorBaseTest.php Tests set submit handlers.
FormStateDecoratorBaseTest::testSetSubmitted function core/tests/Drupal/Tests/Core/Form/FormStateDecoratorBaseTest.php Tests set submitted.
FormStateDecoratorBaseTest::testSetTemporary function core/tests/Drupal/Tests/Core/Form/FormStateDecoratorBaseTest.php Tests set temporary.
FormStateDecoratorBaseTest::testSetTemporaryValue function core/tests/Drupal/Tests/Core/Form/FormStateDecoratorBaseTest.php Tests set temporary value.
FormStateDecoratorBaseTest::testSetTriggeringElement function core/tests/Drupal/Tests/Core/Form/FormStateDecoratorBaseTest.php Tests set triggering element.
FormStateDecoratorBaseTest::testSetUserInput function core/tests/Drupal/Tests/Core/Form/FormStateDecoratorBaseTest.php Tests set user input.
FormStateDecoratorBaseTest::testSetValidateHandlers function core/tests/Drupal/Tests/Core/Form/FormStateDecoratorBaseTest.php Tests set validate handlers.
FormStateDecoratorBaseTest::testSetValidationComplete function core/tests/Drupal/Tests/Core/Form/FormStateDecoratorBaseTest.php Tests set validation complete.
FormStateDecoratorBaseTest::testSetValidationEnforced function core/tests/Drupal/Tests/Core/Form/FormStateDecoratorBaseTest.php Tests set validation enforced.
FormStateDecoratorBaseTest::testSetValue function core/tests/Drupal/Tests/Core/Form/FormStateDecoratorBaseTest.php Tests set value.
FormStateDecoratorBaseTest::testSetValueForElement function core/tests/Drupal/Tests/Core/Form/FormStateDecoratorBaseTest.php Tests set value for element.
FormStateDecoratorBaseTest::testSetValues function core/tests/Drupal/Tests/Core/Form/FormStateDecoratorBaseTest.php Tests set values.
FormStateDecoratorBaseTest::testUnsetValue function core/tests/Drupal/Tests/Core/Form/FormStateDecoratorBaseTest.php Tests unset value.
FormStateInterface interface core/lib/Drupal/Core/Form/FormStateInterface.php Provides an interface for an object containing the current state of a form.
FormStateInterface.php file core/lib/Drupal/Core/Form/FormStateInterface.php
FormStateInterface::addBuildInfo function core/lib/Drupal/Core/Form/FormStateInterface.php Adds a value to the build info.
FormStateInterface::addCleanValueKey function core/lib/Drupal/Core/Form/FormStateInterface.php Adds a key to the array of form values that will be cleaned.
FormStateInterface::addRebuildInfo function core/lib/Drupal/Core/Form/FormStateInterface.php Adds a value to the rebuild info.
FormStateInterface::cleanValues function core/lib/Drupal/Core/Form/FormStateInterface.php Removes internal Form API elements and buttons from submitted form values.
FormStateInterface::clearErrors function core/lib/Drupal/Core/Form/FormStateInterface.php Clears all errors against all form elements made by self::setErrorByName().
FormStateInterface::disableCache function core/lib/Drupal/Core/Form/FormStateInterface.php Prevents the form from being cached.
FormStateInterface::disableRedirect function core/lib/Drupal/Core/Form/FormStateInterface.php Prevents the form from redirecting.
FormStateInterface::get function core/lib/Drupal/Core/Form/FormStateInterface.php Gets the value for a property in the form state storage.
FormStateInterface::getAlwaysProcess function core/lib/Drupal/Core/Form/FormStateInterface.php Determines if this form should always be processed.
FormStateInterface::getBuildInfo function core/lib/Drupal/Core/Form/FormStateInterface.php Returns the build info for the form.
FormStateInterface::getButtons function core/lib/Drupal/Core/Form/FormStateInterface.php Returns the submit and button elements for the form.
FormStateInterface::getCacheableArray function core/lib/Drupal/Core/Form/FormStateInterface.php Returns an array representation of the cacheable portion of the form state.
FormStateInterface::getCleanValueKeys function core/lib/Drupal/Core/Form/FormStateInterface.php Gets the keys of the form values that will be cleaned.
FormStateInterface::getCompleteForm function core/lib/Drupal/Core/Form/FormStateInterface.php Returns a reference to the complete form array.
FormStateInterface::getError function core/lib/Drupal/Core/Form/FormStateInterface.php Returns the error message filed against the given form element.
FormStateInterface::getErrors function core/lib/Drupal/Core/Form/FormStateInterface.php Returns an associative array of all errors.
FormStateInterface::getFormObject function core/lib/Drupal/Core/Form/FormStateInterface.php Returns the form object that is responsible for building this form.
FormStateInterface::getGroups function core/lib/Drupal/Core/Form/FormStateInterface.php Returns references to details elements to render them within vertical tabs.
FormStateInterface::getIgnoreDestination function core/lib/Drupal/Core/Form/FormStateInterface.php Gets whether the redirect respects the destination query parameter.
FormStateInterface::getLimitValidationErrors function core/lib/Drupal/Core/Form/FormStateInterface.php Retrieves the limited validation error sections.
FormStateInterface::getRebuildInfo function core/lib/Drupal/Core/Form/FormStateInterface.php Gets the rebuild info.
FormStateInterface::getRedirect function core/lib/Drupal/Core/Form/FormStateInterface.php Gets the value to use for redirecting after the form has been executed.
FormStateInterface::getResponse function core/lib/Drupal/Core/Form/FormStateInterface.php Gets a response for this form.
FormStateInterface::getStorage function core/lib/Drupal/Core/Form/FormStateInterface.php Returns the entire set of arbitrary data.
FormStateInterface::getSubmitHandlers function core/lib/Drupal/Core/Form/FormStateInterface.php Gets the submit handlers.
FormStateInterface::getTemporary function core/lib/Drupal/Core/Form/FormStateInterface.php Gets temporary data.
FormStateInterface::getTemporaryValue function core/lib/Drupal/Core/Form/FormStateInterface.php Gets an arbitrary value from temporary storage.
FormStateInterface::getTriggeringElement function core/lib/Drupal/Core/Form/FormStateInterface.php Gets the form element that triggered submission.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.